function [colorMap, colorMask] = colorSegment(I_rgb)

    cform = makecform('srgb2lab');
    lab_I = applycform(I_rgb ,cform);

    ab = double(lab_I(:,:,2:3));
    nrows = size(ab,1);
    ncols = size(ab,2);
    ab = reshape(ab,nrows*ncols,2);

    nColors = 5;
    % repeat the clustering 3 times to avoid local minima
    [cluster_idx cluster_center] = kmeans(ab,nColors,'distance','sqEuclidean','Replicates',3);

    pixel_labels = reshape(cluster_idx,nrows,ncols);
    imshow(pixel_labels,[]), title('image labeled by cluster index');
    %%
    colorMask = cell(nColors,1);

    lumi = im2double(lab_I(:,:,1));
    colorMap = zeros(size(lumi));
    %%
    for j = 2:2:2*nColors;
        k = j-1;
        l = j/2;
        compare  = lumi;
        mask1    = false(size(lumi));
        mask2    = false(size(lumi));
        compare(pixel_labels ~= l) = 0;
        meanL   = mean(lumi(pixel_labels == l));
        mask1(compare > meanL)      = true;
        mask2(compare <= meanL)     = true;
        mask2(pixel_labels ~= l)    = false;
        colorMask{k} = mask1;
        colorMask{j} = mask2;
        colorMap(colorMask{k}) = k;
        colorMap(colorMask{j}) = j;
    end
end