function dL = lineDist(row,col,bestLine,powerLine)

% [row, col] = size(rgb2gray(I));
if (abs(bestLine.slope) == Inf),
    coord = bestLine.start;
    x = coord(1).*ones(row,1);
    y = [1:row]';
else
    x = [1:col]';
    y = x.*bestLine.slope + bestLine.yint;
end

if (abs(powerLine.slope) == Inf),
    powerX = powerLine.X1.*ones(row,1);
    powerY = [1:row]';
else
    powerX = x;
    powerY = powerX*powerLine.slope + powerLine.yint;
end

powerPoints = [powerX powerY];
numPoints = numel(x);

dM = zeros(numPoints,1);

for k = 1:numPoints,
    curPoint = [x(k).*ones(size(powerX,1),1) y(k).*ones(size(powerX,1),1)];
    % smallest Manhattan distance betwen point x(k) y(k) and the power line
    dM(k) = min(sum(abs(curPoint - powerPoints),2));
end
% the avg distance to the line L
dL = mean(dM);