function [objectMap,salientRegion] = objectSalience(saliency,segMasks)

    numMasks        = size(segMasks,1);
    objectMap       = zeros(size(saliency));

    salientRegion = struct('value',zeros(numMasks,1),'size',zeros(numMasks,2),'loc',zeros(numMasks,1));


    salientValue    = zeros(numMasks,1);

    for k = 1:numMasks,
        salientValue(k) = mean(saliency(segMasks{k}));  
        salientRegion(k).size = nnz(segMasks{k});
        salientRegion(k).loc  = k;
        % this forms the merged saliency map
        objectMap(segMasks{k}) = salientValue(k);   
    end

    maxSalient  = max(salientValue);
    objectMap   = objectMap./maxSalient;
    for k = 1:numMasks,
        salientRegion(k).value = salientValue(k)./maxSalient;
    end

end

    