function [score,noDiag] = rule_diag(I, bestLines)

    if (size(I,3) == 3),
        I = rgb2gray(I);
    end
    
    noDiag = false;

    %% Compute line score
    [h w] = size(I);
    %% initialize power lines
    
    power_lines(1) = struct('X1', 0, 'Y1', -h/3, 'X2', w, 'Y2', h-h/3,'slope',h/w,'yint',-h/3);
    power_lines(2) = struct('X1', 0, 'Y1', 0, 'X2', w, 'Y2', h,'slope',h/w,'yint',0);
    power_lines(3) = struct('X1', 0, 'Y1', h/3, 'X2', w, 'Y2', h+h/3,'slope',h/w,'yint',h/3);
    
    power_lines(4) = struct('X1', 0, 'Y1', h-h/3, 'X2', w, 'Y2', -h/3,'slope',-h/w,'yint',h-h/3);
    power_lines(5) = struct('X1', 0, 'Y1', h, 'X2', w, 'Y2', 0,'slope',-h/w,'yint',h);
    power_lines(6) = struct('X1', 0, 'Y1', h+h/3, 'X2', w, 'Y2', h/3,'slope',-h/w,'yint',h+h/3);
    
    %% Compute line score
    maxD        = sqrt((h/3)^2 + (w/3)^2);
    divisor     = 0;
    numerator   = 0;
    sig2 = .17;

    for i = 1:length(bestLines)
        %remove if diagonal line
        if (bestLines(i).type == 3)
            %compute nearest power line
            D = maxD;
            for j=1:6
                dist = lineDist(h,w,bestLines(i),power_lines(j));
                if (dist < D)
                   D = dist;
                end
            end        

            D = D/maxD;

            divisor = divisor + bestLines(i).salience;
            numerator = numerator + bestLines(i).salience * exp(-D^2/(2*sig2));
        end
    end
    
    if(divisor == 0),
        score   = 0;
        noDiag  = true;
    else
        score = numerator / divisor;
    end
    
end