function score = rule_visbal(I, object)

    if (size(I,3) == 3),
        I = rgb2gray(I);
    end

    [h w]   = size(I);
    sig3    = .2;
    
    CX      = (w/2)/w;
    CY      = (h/2)/w;
    
    mass    = 0;
    MSX     = 0;
    MSY     = 0;

    for i = 1:length(object)       
       MSX = MSX + object(i).size*(object(i).centerX/w);
       MSY = MSY + object(i).size*(object(i).centerY/h);   
       mass         = mass + object(i).size;
    end

    MSX = MSX/mass;
    MSY = MSY/mass;
    
    numObj = numel(MSX);
    dVB = min(sum(abs([MSX MSY] - [CX.*ones(numObj,1) CY.*ones(numObj,1)]),2));
    
    score = exp(-(dVB^2)/(2*sig3));

end