function [I_scaled, row, col] = scale64(I_rgb)
%% Calculate scaling of image so that the smallest dimension is 64px
[row,col,di] = size(I_rgb);

% Make the smallest dimension determine the scaling ratio
if (row < col)
    ratioSize = 64/row;
else
    ratioSize = 64/col;
end

%% Calculate the FFT of the image
I = rgb2gray(I_rgb);
I_scaled = imresize(I,ratioSize,'bilinear');